<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/HitIndication/HitDirectionImages/HitDirectionImagesArrow.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d83/_hit_direction_images_arrow_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">HitDirectionImagesArrow.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d83/_hit_direction_images_arrow_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#a88ec3d116548fd3b2860a7b75a249d9a">    1</a></span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../db/d23/class_hit_direction_images_arrow___static.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d23/class_hit_direction_images_arrow___static.html">HitDirectionImagesArrow_Static</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">    4</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>    <a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">m_ImagePathsLayouts</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">    5</a></span>    <span class="keyword">static</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>    <a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">m_ImagePathsImages</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../db/d23/class_hit_direction_images_arrow___static.html#a3ce765b9ea8303f70e524c82617a2f2f">    7</a></span>    <span class="keyword">static</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d23/class_hit_direction_images_arrow___static.html#a3ce765b9ea8303f70e524c82617a2f2f">InitArrays</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <span class="keywordflow">if</span> ( !<a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">m_ImagePathsLayouts</a> &amp;&amp; !<a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">m_ImagePathsImages</a> )</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        {</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>            <a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">m_ImagePathsLayouts</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>            <a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">m_ImagePathsImages</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    }</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>}</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="keyword">class </span>HitDirectionImagesArrow <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="keyword">override</span> <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">PerformRegisterImages</a>()</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#ad8f26f8ca3e02635b507ca21e09349be">   20</a></span>    {</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#a62c059283431083c7c743f3b462f55a5">   21</a></span>        <a class="code hl_class" href="../../db/d23/class_hit_direction_images_arrow___static.html">HitDirectionImagesArrow_Static</a>.<a class="code hl_function" href="../../db/d23/class_hit_direction_images_arrow___static.html#a3ce765b9ea8303f70e524c82617a2f2f">InitArrays</a>();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#a8568d1a1953189a1ad97364624dd89a3">   23</a></span>        <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#aeeff1726a7781c10c3cea9dcef6125b6">RegisterImage</a>(<span class="stringliteral">&quot;gui/layouts/gameplay/HitDirectionIndication.layout&quot;</span>,<span class="stringliteral">&quot;Single_indicator_Arrow_0&quot;</span>);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#a75ca6fc2db9616cdc184efdd4853285c">   26</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">GetTypeLayoutPathArray</a>()</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d23/class_hit_direction_images_arrow___static.html">HitDirectionImagesArrow_Static</a>.<a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">m_ImagePathsLayouts</a>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d3/d83/_hit_direction_images_arrow_8c.html#a5d7a038b33d636838d8f4d88a360330e">   31</a></span>    <span class="keyword">override</span> <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;string&gt;</a> <a class="code hl_function" href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">GetTypeImagePathArray</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../db/d23/class_hit_direction_images_arrow___static.html">HitDirectionImagesArrow_Static</a>.<a class="code hl_variable" href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">m_ImagePathsImages</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>}</div>
<div class="ttc" id="aclass_hit_direction_images_arrow___static_html"><div class="ttname"><a href="../../db/d23/class_hit_direction_images_arrow___static.html">HitDirectionImagesArrow_Static</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d83/_hit_direction_images_arrow_8c_source.html#l00002">HitDirectionImagesArrow.c:3</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_arrow___static_html_a3ce765b9ea8303f70e524c82617a2f2f"><div class="ttname"><a href="../../db/d23/class_hit_direction_images_arrow___static.html#a3ce765b9ea8303f70e524c82617a2f2f">HitDirectionImagesArrow_Static::InitArrays</a></div><div class="ttdeci">static void InitArrays()</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d83/_hit_direction_images_arrow_8c_source.html#l00007">HitDirectionImagesArrow.c:7</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_arrow___static_html_a583ac82ab1599ffa01f4f191538e12a8"><div class="ttname"><a href="../../db/d23/class_hit_direction_images_arrow___static.html#a583ac82ab1599ffa01f4f191538e12a8">HitDirectionImagesArrow_Static::m_ImagePathsLayouts</a></div><div class="ttdeci">static ref array&lt; string &gt; m_ImagePathsLayouts</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d83/_hit_direction_images_arrow_8c_source.html#l00004">HitDirectionImagesArrow.c:4</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_arrow___static_html_afbe4ac82df645875d1d82fdda4c7db0d"><div class="ttname"><a href="../../db/d23/class_hit_direction_images_arrow___static.html#afbe4ac82df645875d1d82fdda4c7db0d">HitDirectionImagesArrow_Static::m_ImagePathsImages</a></div><div class="ttdeci">static ref array&lt; string &gt; m_ImagePathsImages</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d83/_hit_direction_images_arrow_8c_source.html#l00005">HitDirectionImagesArrow.c:5</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html">HitDirectionImagesBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00002">HitDirectionImagesBase.c:3</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a074c4cc2db42239165c192c5c81173ed"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a074c4cc2db42239165c192c5c81173ed">HitDirectionImagesBase::GetTypeLayoutPathArray</a></div><div class="ttdeci">protected array&lt; string &gt; GetTypeLayoutPathArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00036">HitDirectionImagesBase.c:36</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_a3a91efaff515462d4d9e171253cc1779"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#a3a91efaff515462d4d9e171253cc1779">HitDirectionImagesBase::GetTypeImagePathArray</a></div><div class="ttdeci">protected array&lt; string &gt; GetTypeImagePathArray()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00037">HitDirectionImagesBase.c:37</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_acd01b3e4ec36d3ffc242cd8f090ee160"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#acd01b3e4ec36d3ffc242cd8f090ee160">HitDirectionImagesBase::PerformRegisterImages</a></div><div class="ttdeci">protected void PerformRegisterImages()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00016">HitDirectionImagesBase.c:16</a></div></div>
<div class="ttc" id="aclass_hit_direction_images_base_html_aeeff1726a7781c10c3cea9dcef6125b6"><div class="ttname"><a href="../../d1/d26/class_hit_direction_images_base.html#aeeff1726a7781c10c3cea9dcef6125b6">HitDirectionImagesBase::RegisterImage</a></div><div class="ttdeci">protected void RegisterImage(string layout_path, string image_name)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d9f/_hit_direction_images_base_8c_source.html#l00025">HitDirectionImagesBase.c:25</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_f8c816277ae925e56c057f3459738fdd.html">HitIndication</a></li><li class="navelem"><a class="el" href="../../dir_8d1111e7063a9cd6902b3d9b923cca14.html">HitDirectionImages</a></li><li class="navelem"><a class="el" href="../../d3/d83/_hit_direction_images_arrow_8c.html">HitDirectionImagesArrow.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
